| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxPreferencesPage Class Referenceabstract

`#include <wx/preferences.h>`

Inheritance diagram for wxPreferencesPage:
[legend]

## Detailed Description

One page of preferences dialog.

This is the base class for implementation of application's preferences. Its methods return various properties of the page, such as title or icon. The actual page is created by CreateWindow().

See Also
  wxStockPreferencesPage

##

Library: wxCore

Since
  2.9.5

## Public Member Functions

| wxPreferencesPage ()
| Constructor.
virtual | ~wxPreferencesPage ()
| Destructor.
virtual wxString | GetName () const =0
| Return name of the page.
virtual wxBitmap | GetLargeIcon () const =0
| Return 32x32 icon used for the page on some platforms.
virtual wxWindow * | CreateWindow (wxWindow *parent)=0
| Create a window for this page.

## Constructor & Destructor Documentation

wxPreferencesPage::wxPreferencesPage | ( |  | ) |

Constructor.

virtual wxPreferencesPage::~wxPreferencesPage | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

virtual wxWindow* wxPreferencesPage::CreateWindow | ( | wxWindow * | parent | ) |

pure virtual

Create a window for this page.

The window will be placed into the preferences dialog in platform-specific manner. Depending on the platform, this method may be called before showing the preferences window, when switching to its tab or even more than once. Don't make assumptions about the number of times or the specific time when it is called.

The caller takes ownership of the window.

wxPanel is usually used, but doesn't have to be.

Parameters

  parent | Parent window to use.

virtual wxBitmap wxPreferencesPage::GetLargeIcon | ( |  | ) | const

pure virtual

Return 32x32 icon used for the page on some platforms.

Currently only used on OS X.

Note
  This method is only pure virtual on platforms that require it (OS X). On other platforms, it has default implementation that returns an invalid bitmap. The preprocessor symbol `wxHAS_PREF_EDITOR_ICONS` is defined if this method must be implemented.

Implemented in wxStockPreferencesPage.

virtual wxString wxPreferencesPage::GetName | ( |  | ) | const

pure virtual

Return name of the page.

The name is used for notebook tab's label, icon label etc., depending on the platform.

Implemented in wxStockPreferencesPage.